package cc.toph.simplycompat.registry;

import cc.toph.simplycompat.config.Config;
import cc.toph.simplycompat.config.ConfigProvider;

public final class ConfigRegistry {
    public static final class WEAPON_ATTRIBUTES {

        public static float COPPER;
        public static boolean COPPER_ENABLED;
        public static float ALUMINUM;
        public static boolean ALUMINUM_ENABLED;
        public static float LEAD;
        public static boolean LEAD_ENABLED;
        public static float STEEL;
        public static boolean STEEL_ENABLED;
        public static float STURDY;
        public static boolean STURDY_ENABLED;

        public static final ConfigProvider PROVIDER = new ConfigProvider("weapon_attributes");

        public static void register() {
            Config common = new Config(PROVIDER);

            COPPER = common.registerProp(
                    "copper_damageModifier",
                    3.0f,
                    "Copper Damage Modifier"
            );

            COPPER_ENABLED = common.registerProp(
                    "copper_enabled",
                    true,
                    "Enable Copper Swords"
            );

            if (CompatRegistry.CREATE.passCheck()) {
                STURDY = common.registerProp(
                        "sturdy_damageModifier",
                        4.0f,
                        "Sturdy Damage Modifier"
                );

                STURDY_ENABLED = common.registerProp(
                        "sturdy_enabled",
                        true,
                        "Enable Sturdy Swords"
                );
            }

            if (CompatRegistry.TFMG.passCheck()) {
                ALUMINUM = common.registerProp(
                        "aluminum_damageModifier",
                        3.0f,
                        "Aluminum Damage Modifier"
                );

                ALUMINUM_ENABLED = common.registerProp(
                        "aluminum_enabled",
                        true,
                        "Enable Aluminum Swords"
                );

                LEAD = common.registerProp(
                        "lead_damageModifier",
                        2.0f,
                        "Lead Damage Modifier"
                );

                LEAD_ENABLED = common.registerProp(
                        "lead_enabled",
                        true,
                        "Enable Lead Swords"
                );
                STEEL = common.registerProp(
                        "steel_damageModifier",
                        5.0f,
                        "Steel Damage Modifier"
                );

                STEEL_ENABLED = common.registerProp(
                        "steel_enabled",
                        true,
                        "Enable Steel Swords"
                );
            }


            common.register();
        }
    }

    public static void registerConfigs() {
        WEAPON_ATTRIBUTES.register();
    }
}
